# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg gafit
%define ver 0.2
%define rrel 0
%define rel 1
%define __spec_install_post exit 0

Name: R-%{pkg}
Summary: R-package: Genetic Algorithm for Curve Fitting
Group: Applications/Engineering
Copyright: GPL
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: %{_tmppath}/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: http://cran.r-project.org/src/contrib/%{pkg}_%{ver}.tar.gz
Requires: R-base
#Excludearch: sparc

%description
A group of sample points are evaluted against a user-defined
expression, the sample points are lists of parameters with values that
may be substituted into that expression. The genetic algorithm
attmepts to make the result of the expression as low as possible
(usually this would be a squares of residuals value).

%prep
%setup -q -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX > /dev/null 2>&1

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX > /dev/null 2>&1
fi

%changelog
* Fri Jan  5 2001 Tim Powers <timp@redhat.com>
- initial package

